unit rttitojson.types;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils;

Type

  { JSONKeyAttribute }

  JSONKeyAttribute = class(TCustomAttribute)
  private
    FKey: string;
  public
    constructor create(aKey : String);
    property Key : string Read FKey;
  end;

  { DateFormatAttribute }

  DateFormatAttribute = class(TCustomAttribute)
    FFormat : String;
  Public
    constructor create(aFormat : String);
    Property DateFormat : String Read FFormat;
  end;


implementation

{ JSONKeyAttribute }

constructor JSONKeyAttribute.create(aKey: String);
begin
  FKey:=aKey;
end;

{ DateFormatAttribute }

constructor DateFormatAttribute.create(aFormat: String);
begin
  FFormat:=aFormat;
end;

end.

